OpenMetal
API referenceApi keys

List Project Api Keys

GET
/v1/projects/{project_id}/api-keys

Authorization

bearerAuth
AuthorizationBearer <token>

Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.

In: header

Path Parameters

project_id*string
Match^prj_[A-Za-z0-9]+$

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/api-keys"
{  "api_keys": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "project_id": "string",      "name": "string",      "prefix": "stringst",      "created_at": "2019-08-24T14:15:22Z",      "last_used_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "revoked_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z"    }  ]}